#!/bin/bash

set -e
# set -x
CURDIR=`pwd`
rm -fr new-upstream
mkdir new-upstream

IVERSION=`dpkg-parsechangelog|grep ^Version|awk '{print $2}' \
    |sed 's/^[[:digit:]]\+://' \
    |sed 's/[+-].*//' \
    |sed 's/~//'`
XPISURI=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/$IVERSION/linux-i686/xpi

cd $CURDIR/upstream
for XPI in *.xpi; do
    echo -n "downloading $XPI... "
    if ! wget -o /dev/null -P $CURDIR/new-upstream $XPISURI/$XPI; then
    	echo $XPI has not contained in releases.mozilla.org
    	cp -v $XPI $CURDIR/new-upstream
    fi
    echo ok
done

cd $CURDIR
rm -fr $CURDIR/upstream.old
mv $CURDIR/upstream $CURDIR/upstream.old
mv $CURDIR/new-upstream $CURDIR/upstream

wget -O- -o/dev/null $XPISURI   \
    |sed 's/href=/\n&/g' \
    |grep ^href= \
    |sed 's/^href="//' \
    |sed 's/".*//' \
    |grep '\.xpi' > $CURDIR/current.xpi.list

rm -f $CURDIR/new_xpi_found.txt

cd $CURDIR/upstream
for XPI in `cat $CURDIR/current.xpi.list`; do
    test -f $XPI && continue
    echo New official translation found: $XPI |tee -a $CURDIR/new_xpi_found.txt

    echo wget -P $CURDIR/upstream $XPISURI/$XPI
    wget -o/dev/null -P $CURDIR/upstream $XPISURI/$XPI \
        || echo "Error downloading $XPISURI/$XPI"
done

rm -f $CURDIR/current.xpi.list

cd $CURDIR/upstream
rm -f $CURDIR/upstream.old/md5.txt
for i in *; do
    md5sum $i >> $CURDIR/upstream.old/md5.txt
done
cd $CURDIR/upstream.old
if md5sum -c md5.txt > /dev/null 2>&1; then
    echo No changes found
    cd $CURDIR
    rm -fr $CURDIR/upstream.old
fi

cd $CURDIR
