#!/bin/sh

TEMPDIR=`mktemp -d`
CURDIR=`pwd`
LOWER="sed --posix y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/"
MAINC='Mozilla Project and Mozilla Localization Projects'

cd $TEMPDIR
for xpi in $CURDIR/upstream/*.xpi; do
    lang=`basename $xpi .xpi|$LOWER`
    mkdir $lang
    unzip -q $xpi -d $lang
    sed 's/<em:contributor>/\n&/gi' $lang/install.rdf \
        | grep -i 'em:contributor' \
        | sed 's|<em:contributor>||' \
        | sed 's|<.*||'|grep '[[:alnum:]]' \
        | sed 's|\&lt;|<|g' \
        | sed 's|\&gt;|>|g' \
        | perl -pi -MEncode -e \
            's/\&#(\d+);/Encode::encode(utf8=>pack("U", $1))/ge' \
        | sed "s/^/ Contributor: [$lang] /" \
        >> contributors
done

grep -v '^ Contributor: ' $CURDIR/debian/copyright > copyright
perl -pi -e "s/$MAINC\s+/qq{$MAINC\n} . \`cat contributors\`/me" copyright

md5sum copyright > copyright.md5
cd $CURDIR/debian
if ! md5sum -c $TEMPDIR/copyright.md5 &> /dev/null; then
    echo Updating copyright...
    mv copyright $CURDIR/copyright.old
    install -m 0644 $TEMPDIR/copyright $CURDIR/debian/
else
    echo Nothing to do
fi


# cat copyright
cd $CURDIR
exec rm -fr $TEMPDIR
